# Makefile.in generated by automake 1.16.5 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# Copyright (c) 2018-2025 OARC, Inc.
# All rights reserved.
#
# This file is part of dnsjit.
#
# dnsjit is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# dnsjit is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with dnsjit.  If not, see <http://www.gnu.org/licenses/>.


VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
bin_PROGRAMS = dnsjit$(EXEEXT)
subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_warn_all.m4 \
	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/ax_compiler_vendor.m4 \
	$(top_srcdir)/m4/ax_ext.m4 \
	$(top_srcdir)/m4/ax_gcc_x86_avx_xgetbv.m4 \
	$(top_srcdir)/m4/ax_gcc_x86_cpuid.m4 \
	$(top_srcdir)/m4/ax_prepend_flag.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/ax_require_defined.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(nobase_dnsjitinclude_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
	"$(DESTDIR)$(man3dir)" "$(DESTDIR)$(dnsjitincludedir)"
PROGRAMS = $(bin_PROGRAMS)
am__dirstamp = $(am__leading_dot)dirstamp
am_dnsjit_OBJECTS = dnsjit.$(OBJEXT) globals.$(OBJEXT) \
	core/channel.$(OBJEXT) core/compat.$(OBJEXT) \
	core/file.$(OBJEXT) core/log.$(OBJEXT) core/object.$(OBJEXT) \
	core/object/dns.$(OBJEXT) core/object/ether.$(OBJEXT) \
	core/object/gre.$(OBJEXT) core/object/icmp6.$(OBJEXT) \
	core/object/icmp.$(OBJEXT) core/object/ieee802.$(OBJEXT) \
	core/object/ip6.$(OBJEXT) core/object/ip.$(OBJEXT) \
	core/object/linuxsll2.$(OBJEXT) core/object/linuxsll.$(OBJEXT) \
	core/object/loop.$(OBJEXT) core/object/null.$(OBJEXT) \
	core/object/payload.$(OBJEXT) core/object/pcap.$(OBJEXT) \
	core/object/tcp.$(OBJEXT) core/object/udp.$(OBJEXT) \
	core/producer.$(OBJEXT) core/receiver.$(OBJEXT) \
	core/thread.$(OBJEXT) filter/copy.$(OBJEXT) \
	filter/ipsplit.$(OBJEXT) filter/layer.$(OBJEXT) \
	filter/split.$(OBJEXT) filter/timing.$(OBJEXT) \
	input/fpcap.$(OBJEXT) input/mmpcap.$(OBJEXT) \
	input/pcap.$(OBJEXT) input/zmmpcap.$(OBJEXT) \
	input/zpcap.$(OBJEXT) lib/base64url.$(OBJEXT) \
	lib/clock.$(OBJEXT) lib/trie.$(OBJEXT) output/dnscli.$(OBJEXT) \
	output/pcap.$(OBJEXT) output/respdiff.$(OBJEXT) \
	output/tcpcli.$(OBJEXT) output/tlscli.$(OBJEXT) \
	output/udpcli.$(OBJEXT)
dist_dnsjit_OBJECTS =
dnsjit_OBJECTS = $(am_dnsjit_OBJECTS) $(dist_dnsjit_OBJECTS)
am__DEPENDENCIES_1 =
dnsjit_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(lua_hobjects) $(lua_objects)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
dnsjit_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(dnsjit_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/dnsjit.Po ./$(DEPDIR)/globals.Po \
	core/$(DEPDIR)/channel.Po core/$(DEPDIR)/compat.Po \
	core/$(DEPDIR)/file.Po core/$(DEPDIR)/log.Po \
	core/$(DEPDIR)/object.Po core/$(DEPDIR)/producer.Po \
	core/$(DEPDIR)/receiver.Po core/$(DEPDIR)/thread.Po \
	core/object/$(DEPDIR)/dns.Po core/object/$(DEPDIR)/ether.Po \
	core/object/$(DEPDIR)/gre.Po core/object/$(DEPDIR)/icmp.Po \
	core/object/$(DEPDIR)/icmp6.Po \
	core/object/$(DEPDIR)/ieee802.Po core/object/$(DEPDIR)/ip.Po \
	core/object/$(DEPDIR)/ip6.Po core/object/$(DEPDIR)/linuxsll.Po \
	core/object/$(DEPDIR)/linuxsll2.Po \
	core/object/$(DEPDIR)/loop.Po core/object/$(DEPDIR)/null.Po \
	core/object/$(DEPDIR)/payload.Po core/object/$(DEPDIR)/pcap.Po \
	core/object/$(DEPDIR)/tcp.Po core/object/$(DEPDIR)/udp.Po \
	filter/$(DEPDIR)/copy.Po filter/$(DEPDIR)/ipsplit.Po \
	filter/$(DEPDIR)/layer.Po filter/$(DEPDIR)/split.Po \
	filter/$(DEPDIR)/timing.Po input/$(DEPDIR)/fpcap.Po \
	input/$(DEPDIR)/mmpcap.Po input/$(DEPDIR)/pcap.Po \
	input/$(DEPDIR)/zmmpcap.Po input/$(DEPDIR)/zpcap.Po \
	lib/$(DEPDIR)/base64url.Po lib/$(DEPDIR)/clock.Po \
	lib/$(DEPDIR)/trie.Po output/$(DEPDIR)/dnscli.Po \
	output/$(DEPDIR)/pcap.Po output/$(DEPDIR)/respdiff.Po \
	output/$(DEPDIR)/tcpcli.Po output/$(DEPDIR)/tlscli.Po \
	output/$(DEPDIR)/udpcli.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(dnsjit_SOURCES) $(dist_dnsjit_SOURCES)
DIST_SOURCES = $(dnsjit_SOURCES) $(dist_dnsjit_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
man3dir = $(mandir)/man3
NROFF = nroff
MANS = $(man1_MANS) $(man3_MANS)
HEADERS = $(nobase_dnsjitinclude_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir distdir-am
am__extra_recursive_targets = gcov-recursive
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
	config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CPUEXT_FLAGS = @CPUEXT_FLAGS@
CSCOPE = @CSCOPE@
CTAGS = @CTAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ETAGS = @ETAGS@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
FILECMD = @FILECMD@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
LUAJIT = @LUAJIT@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
PTHREAD_CC = @PTHREAD_CC@
PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
PTHREAD_LIBS = @PTHREAD_LIBS@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SIMD_FLAGS = @SIMD_FLAGS@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
ax_pthread_config = @ax_pthread_config@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
ck_CFLAGS = @ck_CFLAGS@
ck_LIBS = @ck_LIBS@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
gnutls_CFLAGS = @gnutls_CFLAGS@
gnutls_LIBS = @gnutls_LIBS@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
liblz4_CFLAGS = @liblz4_CFLAGS@
liblz4_LIBS = @liblz4_LIBS@
liblzma_CFLAGS = @liblzma_CFLAGS@
liblzma_LIBS = @liblzma_LIBS@
libpcap_CFLAGS = @libpcap_CFLAGS@
libpcap_LIBS = @libpcap_LIBS@
libzstd_CFLAGS = @libzstd_CFLAGS@
libzstd_LIBS = @libzstd_LIBS@
localedir = @localedir@
localstatedir = @localstatedir@
luajit_CFLAGS = @luajit_CFLAGS@
luajit_LIBS = @luajit_LIBS@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
MAINTAINERCLEANFILES = $(srcdir)/Makefile.in
CLEANFILES = *.gcda *.gcno *.gcov $(lua_hobjects) $(lua_objects) \
	$(man1_MANS) *.3in $(man3_MANS)
SUBDIRS = test
AM_CFLAGS = -Werror=attributes \
  -I$(srcdir) \
  -I$(top_srcdir) \
  -I$(top_srcdir)/include \
  $(SIMD_FLAGS) $(CPUEXT_FLAGS) \
  $(PTHREAD_CFLAGS) \
  $(luajit_CFLAGS) \
  $(liblz4_CFLAGS) $(libzstd_CFLAGS) \
  $(libpcap_CFLAGS) $(gnutls_CFLAGS) \
  $(liblzma_CFLAGS)

EXTRA_DIST = gen-manpage.lua gen-compat.lua gen-errno.sh dnsjit.1in
BUILT_SOURCES = core/compat.hh core/log_errstr.c

# C source and headers
dnsjit_SOURCES = dnsjit.c globals.c core/channel.c core/compat.c \
	core/file.c core/log.c core/object.c core/object/dns.c \
	core/object/ether.c core/object/gre.c core/object/icmp6.c \
	core/object/icmp.c core/object/ieee802.c core/object/ip6.c \
	core/object/ip.c core/object/linuxsll2.c \
	core/object/linuxsll.c core/object/loop.c core/object/null.c \
	core/object/payload.c core/object/pcap.c core/object/tcp.c \
	core/object/udp.c core/producer.c core/receiver.c \
	core/thread.c filter/copy.c filter/ipsplit.c filter/layer.c \
	filter/split.c filter/timing.c input/fpcap.c input/mmpcap.c \
	input/pcap.c input/zmmpcap.c input/zpcap.c lib/base64url.c \
	lib/clock.c lib/trie.c output/dnscli.c output/pcap.c \
	output/respdiff.c output/tcpcli.c output/tlscli.c \
	output/udpcli.c

# Lua sources
dist_dnsjit_SOURCES = core.lua lib.lua input.lua filter.lua output.lua \
	core/channel.lua core/compat.lua core/file.lua core/loader.lua \
	core/log.lua core/object/dns/label.lua core/object/dns.lua \
	core/object/dns/q.lua core/object/dns/rr.lua \
	core/object/ether.lua core/object/gre.lua \
	core/object/icmp6.lua core/object/icmp.lua \
	core/object/ieee802.lua core/object/ip6.lua core/object/ip.lua \
	core/object/linuxsll2.lua core/object/linuxsll.lua \
	core/object/loop.lua core/object.lua core/object/null.lua \
	core/object/payload.lua core/object/pcap.lua core/objects.lua \
	core/object/tcp.lua core/object/udp.lua core/producer.lua \
	core/receiver.lua core/thread.lua core/timespec.lua \
	filter/copy.lua filter/ipsplit.lua filter/layer.lua \
	filter/split.lua filter/timing.lua input/fpcap.lua \
	input/mmpcap.lua input/pcap.lua input/zero.lua \
	input/zmmpcap.lua input/zpcap.lua lib/base64url.lua \
	lib/clock.lua lib/getopt.lua lib/ip.lua lib/parseconf.lua \
	lib/trie/iter.lua lib/trie.lua lib/trie/node.lua \
	output/dnscli.lua output/null.lua output/pcap.lua \
	output/respdiff.lua output/tcpcli.lua output/tlscli.lua \
	output/udpcli.lua
dnsjitincludedir = $(includedir)/dnsjit

# Lua headers
nobase_dnsjitinclude_HEADERS = globals.h version.h core/assert.h \
	core/channel.h core/compat.h core/file.h core/log.h \
	core/object/dns.h core/object/ether.h core/object/gre.h \
	core/object.h core/object/icmp6.h core/object/icmp.h \
	core/object/ieee802.h core/object/ip6.h core/object/ip.h \
	core/object/linuxsll2.h core/object/linuxsll.h \
	core/object/loop.h core/object/null.h core/object/payload.h \
	core/object/pcap.h core/object/tcp.h core/object/udp.h \
	core/producer.h core/receiver.h core/thread.h core/timespec.h \
	filter/copy.h filter/ipsplit.h filter/layer.h filter/split.h \
	filter/timing.h input/fpcap.h input/mmpcap.h input/pcap.h \
	input/zmmpcap.h input/zpcap.h lib/base64url.h lib/clock.h \
	lib/trie.h output/dnscli.h output/pcap.h output/respdiff.h \
	output/tcpcli.h output/tlscli.h output/udpcli.h \
	core/channel.hh core/file.hh core/log.hh core/object/dns.hh \
	core/object/ether.hh core/object/gre.hh core/object.hh \
	core/object/icmp6.hh core/object/icmp.hh \
	core/object/ieee802.hh core/object/ip6.hh core/object/ip.hh \
	core/object/linuxsll2.hh core/object/linuxsll.hh \
	core/object/loop.hh core/object/null.hh core/object/payload.hh \
	core/object/pcap.hh core/object/tcp.hh core/object/udp.hh \
	core/producer.hh core/receiver.hh core/thread.hh \
	core/timespec.hh filter/copy.hh filter/ipsplit.hh \
	filter/layer.hh filter/split.hh filter/timing.hh \
	input/fpcap.hh input/mmpcap.hh input/pcap.hh input/zmmpcap.hh \
	input/zpcap.hh lib/base64url.hh lib/clock.hh lib/trie.hh \
	output/dnscli.hh output/pcap.hh output/respdiff.hh \
	output/tcpcli.hh output/tlscli.hh output/udpcli.hh
lua_hobjects = core/compat.luaho core/channel.luaho core/file.luaho \
	core/log.luaho core/object/dns.luaho core/object/ether.luaho \
	core/object/gre.luaho core/object/icmp6.luaho \
	core/object/icmp.luaho core/object/ieee802.luaho \
	core/object/ip6.luaho core/object/ip.luaho \
	core/object/linuxsll2.luaho core/object/linuxsll.luaho \
	core/object/loop.luaho core/object.luaho \
	core/object/null.luaho core/object/payload.luaho \
	core/object/pcap.luaho core/object/tcp.luaho \
	core/object/udp.luaho core/producer.luaho core/receiver.luaho \
	core/thread.luaho core/timespec.luaho filter/copy.luaho \
	filter/ipsplit.luaho filter/layer.luaho filter/split.luaho \
	filter/timing.luaho input/fpcap.luaho input/mmpcap.luaho \
	input/pcap.luaho input/zmmpcap.luaho input/zpcap.luaho \
	lib/base64url.luaho lib/clock.luaho lib/trie.luaho \
	output/dnscli.luaho output/pcap.luaho output/respdiff.luaho \
	output/tcpcli.luaho output/tlscli.luaho output/udpcli.luaho
lua_objects = core.luao lib.luao input.luao filter.luao output.luao \
	core/channel.luao core/compat.luao core/file.luao \
	core/loader.luao core/log.luao core/object/dns/label.luao \
	core/object/dns.luao core/object/dns/q.luao \
	core/object/dns/rr.luao core/object/ether.luao \
	core/object/gre.luao core/object/icmp6.luao \
	core/object/icmp.luao core/object/ieee802.luao \
	core/object/ip6.luao core/object/ip.luao \
	core/object/linuxsll2.luao core/object/linuxsll.luao \
	core/object/loop.luao core/object.luao core/object/null.luao \
	core/object/payload.luao core/object/pcap.luao \
	core/objects.luao core/object/tcp.luao core/object/udp.luao \
	core/producer.luao core/receiver.luao core/thread.luao \
	core/timespec.luao filter/copy.luao filter/ipsplit.luao \
	filter/layer.luao filter/split.luao filter/timing.luao \
	input/fpcap.luao input/mmpcap.luao input/pcap.luao \
	input/zero.luao input/zmmpcap.luao input/zpcap.luao \
	lib/base64url.luao lib/clock.luao lib/getopt.luao lib/ip.luao \
	lib/parseconf.luao lib/trie/iter.luao lib/trie.luao \
	lib/trie/node.luao output/dnscli.luao output/null.luao \
	output/pcap.luao output/respdiff.luao output/tcpcli.luao \
	output/tlscli.luao output/udpcli.luao
dnsjit_LDADD = $(PTHREAD_LIBS) $(luajit_LIBS) $(liblz4_LIBS) \
	$(libzstd_LIBS) $(libpcap_LIBS) $(gnutls_LIBS) $(liblzma_LIBS) \
	$(lua_hobjects) $(lua_objects)
dnsjit_LDFLAGS = -Wl,-E
man1_MANS = dnsjit.1
man3_MANS = dnsjit.core.3 dnsjit.lib.3 dnsjit.input.3 dnsjit.filter.3 \
	dnsjit.output.3 dnsjit.core.channel.3 dnsjit.core.compat.3 \
	dnsjit.core.file.3 dnsjit.core.loader.3 dnsjit.core.log.3 \
	dnsjit.core.object.3 dnsjit.core.object.dns.3 \
	dnsjit.core.object.dns.label.3 dnsjit.core.object.dns.q.3 \
	dnsjit.core.object.dns.rr.3 dnsjit.core.object.ether.3 \
	dnsjit.core.object.gre.3 dnsjit.core.object.icmp.3 \
	dnsjit.core.object.icmp6.3 dnsjit.core.object.ieee802.3 \
	dnsjit.core.object.ip.3 dnsjit.core.object.ip6.3 \
	dnsjit.core.object.linuxsll2.3 dnsjit.core.object.linuxsll.3 \
	dnsjit.core.object.loop.3 dnsjit.core.object.null.3 \
	dnsjit.core.object.payload.3 dnsjit.core.object.pcap.3 \
	dnsjit.core.objects.3 dnsjit.core.object.tcp.3 \
	dnsjit.core.object.udp.3 dnsjit.core.producer.3 \
	dnsjit.core.receiver.3 dnsjit.core.thread.3 \
	dnsjit.core.timespec.3 dnsjit.filter.copy.3 \
	dnsjit.filter.ipsplit.3 dnsjit.filter.layer.3 \
	dnsjit.filter.split.3 dnsjit.filter.timing.3 \
	dnsjit.input.fpcap.3 dnsjit.input.mmpcap.3 dnsjit.input.pcap.3 \
	dnsjit.input.zero.3 dnsjit.input.zmmpcap.3 \
	dnsjit.input.zpcap.3 dnsjit.lib.base64url.3 dnsjit.lib.clock.3 \
	dnsjit.lib.getopt.3 dnsjit.lib.ip.3 dnsjit.lib.parseconf.3 \
	dnsjit.lib.trie.3 dnsjit.lib.trie.iter.3 \
	dnsjit.lib.trie.node.3 dnsjit.output.dnscli.3 \
	dnsjit.output.null.3 dnsjit.output.pcap.3 \
	dnsjit.output.respdiff.3 dnsjit.output.tcpcli.3 \
	dnsjit.output.tlscli.3 dnsjit.output.udpcli.3
all: $(BUILT_SOURCES) config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .1 .1in .3 .3in .c .hh .lo .lua .luah .luaho .luao .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign src/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@test -f $@ || rm -f stamp-h1
	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status src/config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p \
	 || test -f $$p1 \
	  ; then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' \
	    -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' \
	`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
core/$(am__dirstamp):
	@$(MKDIR_P) core
	@: > core/$(am__dirstamp)
core/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) core/$(DEPDIR)
	@: > core/$(DEPDIR)/$(am__dirstamp)
core/channel.$(OBJEXT): core/$(am__dirstamp) \
	core/$(DEPDIR)/$(am__dirstamp)
core/compat.$(OBJEXT): core/$(am__dirstamp) \
	core/$(DEPDIR)/$(am__dirstamp)
core/file.$(OBJEXT): core/$(am__dirstamp) \
	core/$(DEPDIR)/$(am__dirstamp)
core/log.$(OBJEXT): core/$(am__dirstamp) \
	core/$(DEPDIR)/$(am__dirstamp)
core/object.$(OBJEXT): core/$(am__dirstamp) \
	core/$(DEPDIR)/$(am__dirstamp)
core/object/$(am__dirstamp):
	@$(MKDIR_P) core/object
	@: > core/object/$(am__dirstamp)
core/object/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) core/object/$(DEPDIR)
	@: > core/object/$(DEPDIR)/$(am__dirstamp)
core/object/dns.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/ether.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/gre.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/icmp6.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/icmp.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/ieee802.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/ip6.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/ip.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/linuxsll2.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/linuxsll.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/loop.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/null.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/payload.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/pcap.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/tcp.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/object/udp.$(OBJEXT): core/object/$(am__dirstamp) \
	core/object/$(DEPDIR)/$(am__dirstamp)
core/producer.$(OBJEXT): core/$(am__dirstamp) \
	core/$(DEPDIR)/$(am__dirstamp)
core/receiver.$(OBJEXT): core/$(am__dirstamp) \
	core/$(DEPDIR)/$(am__dirstamp)
core/thread.$(OBJEXT): core/$(am__dirstamp) \
	core/$(DEPDIR)/$(am__dirstamp)
filter/$(am__dirstamp):
	@$(MKDIR_P) filter
	@: > filter/$(am__dirstamp)
filter/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) filter/$(DEPDIR)
	@: > filter/$(DEPDIR)/$(am__dirstamp)
filter/copy.$(OBJEXT): filter/$(am__dirstamp) \
	filter/$(DEPDIR)/$(am__dirstamp)
filter/ipsplit.$(OBJEXT): filter/$(am__dirstamp) \
	filter/$(DEPDIR)/$(am__dirstamp)
filter/layer.$(OBJEXT): filter/$(am__dirstamp) \
	filter/$(DEPDIR)/$(am__dirstamp)
filter/split.$(OBJEXT): filter/$(am__dirstamp) \
	filter/$(DEPDIR)/$(am__dirstamp)
filter/timing.$(OBJEXT): filter/$(am__dirstamp) \
	filter/$(DEPDIR)/$(am__dirstamp)
input/$(am__dirstamp):
	@$(MKDIR_P) input
	@: > input/$(am__dirstamp)
input/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) input/$(DEPDIR)
	@: > input/$(DEPDIR)/$(am__dirstamp)
input/fpcap.$(OBJEXT): input/$(am__dirstamp) \
	input/$(DEPDIR)/$(am__dirstamp)
input/mmpcap.$(OBJEXT): input/$(am__dirstamp) \
	input/$(DEPDIR)/$(am__dirstamp)
input/pcap.$(OBJEXT): input/$(am__dirstamp) \
	input/$(DEPDIR)/$(am__dirstamp)
input/zmmpcap.$(OBJEXT): input/$(am__dirstamp) \
	input/$(DEPDIR)/$(am__dirstamp)
input/zpcap.$(OBJEXT): input/$(am__dirstamp) \
	input/$(DEPDIR)/$(am__dirstamp)
lib/$(am__dirstamp):
	@$(MKDIR_P) lib
	@: > lib/$(am__dirstamp)
lib/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) lib/$(DEPDIR)
	@: > lib/$(DEPDIR)/$(am__dirstamp)
lib/base64url.$(OBJEXT): lib/$(am__dirstamp) \
	lib/$(DEPDIR)/$(am__dirstamp)
lib/clock.$(OBJEXT): lib/$(am__dirstamp) lib/$(DEPDIR)/$(am__dirstamp)
lib/trie.$(OBJEXT): lib/$(am__dirstamp) lib/$(DEPDIR)/$(am__dirstamp)
output/$(am__dirstamp):
	@$(MKDIR_P) output
	@: > output/$(am__dirstamp)
output/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) output/$(DEPDIR)
	@: > output/$(DEPDIR)/$(am__dirstamp)
output/dnscli.$(OBJEXT): output/$(am__dirstamp) \
	output/$(DEPDIR)/$(am__dirstamp)
output/pcap.$(OBJEXT): output/$(am__dirstamp) \
	output/$(DEPDIR)/$(am__dirstamp)
output/respdiff.$(OBJEXT): output/$(am__dirstamp) \
	output/$(DEPDIR)/$(am__dirstamp)
output/tcpcli.$(OBJEXT): output/$(am__dirstamp) \
	output/$(DEPDIR)/$(am__dirstamp)
output/tlscli.$(OBJEXT): output/$(am__dirstamp) \
	output/$(DEPDIR)/$(am__dirstamp)
output/udpcli.$(OBJEXT): output/$(am__dirstamp) \
	output/$(DEPDIR)/$(am__dirstamp)

dnsjit$(EXEEXT): $(dnsjit_OBJECTS) $(dnsjit_DEPENDENCIES) $(EXTRA_dnsjit_DEPENDENCIES) 
	@rm -f dnsjit$(EXEEXT)
	$(AM_V_CCLD)$(dnsjit_LINK) $(dnsjit_OBJECTS) $(dnsjit_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)
	-rm -f core/*.$(OBJEXT)
	-rm -f core/object/*.$(OBJEXT)
	-rm -f filter/*.$(OBJEXT)
	-rm -f input/*.$(OBJEXT)
	-rm -f lib/*.$(OBJEXT)
	-rm -f output/*.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dnsjit.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/globals.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/$(DEPDIR)/channel.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/$(DEPDIR)/compat.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/$(DEPDIR)/file.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/$(DEPDIR)/log.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/$(DEPDIR)/object.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/$(DEPDIR)/producer.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/$(DEPDIR)/receiver.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/$(DEPDIR)/thread.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/dns.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/ether.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/gre.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/icmp.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/icmp6.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/ieee802.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/ip.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/ip6.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/linuxsll.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/linuxsll2.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/loop.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/null.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/payload.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/pcap.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/tcp.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@core/object/$(DEPDIR)/udp.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@filter/$(DEPDIR)/copy.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@filter/$(DEPDIR)/ipsplit.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@filter/$(DEPDIR)/layer.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@filter/$(DEPDIR)/split.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@filter/$(DEPDIR)/timing.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@input/$(DEPDIR)/fpcap.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@input/$(DEPDIR)/mmpcap.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@input/$(DEPDIR)/pcap.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@input/$(DEPDIR)/zmmpcap.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@input/$(DEPDIR)/zpcap.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@lib/$(DEPDIR)/base64url.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@lib/$(DEPDIR)/clock.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@lib/$(DEPDIR)/trie.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@output/$(DEPDIR)/dnscli.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@output/$(DEPDIR)/pcap.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@output/$(DEPDIR)/respdiff.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@output/$(DEPDIR)/tcpcli.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@output/$(DEPDIR)/tlscli.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@output/$(DEPDIR)/udpcli.Po@am__quote@ # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@echo '# dummy' >$@-t && $(am__mv) $@-t $@

am--depfiles: $(am__depfiles_remade)

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man1: $(man1_MANS)
	@$(NORMAL_INSTALL)
	@list1='$(man1_MANS)'; \
	list2=''; \
	test -n "$(man1dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.1[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(man1_MANS)'; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
install-man3: $(man3_MANS)
	@$(NORMAL_INSTALL)
	@list1='$(man3_MANS)'; \
	list2=''; \
	test -n "$(man3dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.3[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
	done; }

uninstall-man3:
	@$(NORMAL_UNINSTALL)
	@list='$(man3_MANS)'; test -n "$(man3dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
install-nobase_dnsjitincludeHEADERS: $(nobase_dnsjitinclude_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(nobase_dnsjitinclude_HEADERS)'; test -n "$(dnsjitincludedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(dnsjitincludedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(dnsjitincludedir)" || exit 1; \
	fi; \
	$(am__nobase_list) | while read dir files; do \
	  xfiles=; for file in $$files; do \
	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
	  test -z "$$xfiles" || { \
	    test "x$$dir" = x. || { \
	      echo " $(MKDIR_P) '$(DESTDIR)$(dnsjitincludedir)/$$dir'"; \
	      $(MKDIR_P) "$(DESTDIR)$(dnsjitincludedir)/$$dir"; }; \
	    echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(dnsjitincludedir)/$$dir'"; \
	    $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(dnsjitincludedir)/$$dir" || exit $$?; }; \
	done

uninstall-nobase_dnsjitincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(nobase_dnsjitinclude_HEADERS)'; test -n "$(dnsjitincludedir)" || list=; \
	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
	dir='$(DESTDIR)$(dnsjitincludedir)'; $(am__uninstall_files_from_dir)

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"
gcov-local: 

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-recursive
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-recursive

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-recursive

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    $(am__make_dryrun) \
	      || test -d "$(distdir)/$$subdir" \
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
	      || exit 1; \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
		am__skip_mode_fix=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-recursive
all-am: Makefile $(PROGRAMS) $(MANS) $(HEADERS) config.h
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(dnsjitincludedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-recursive
install-exec: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-rm -f core/$(DEPDIR)/$(am__dirstamp)
	-rm -f core/$(am__dirstamp)
	-rm -f core/object/$(DEPDIR)/$(am__dirstamp)
	-rm -f core/object/$(am__dirstamp)
	-rm -f filter/$(DEPDIR)/$(am__dirstamp)
	-rm -f filter/$(am__dirstamp)
	-rm -f input/$(DEPDIR)/$(am__dirstamp)
	-rm -f input/$(am__dirstamp)
	-rm -f lib/$(DEPDIR)/$(am__dirstamp)
	-rm -f lib/$(am__dirstamp)
	-rm -f output/$(DEPDIR)/$(am__dirstamp)
	-rm -f output/$(am__dirstamp)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
@ENABLE_GCOV_FALSE@gcov-local:
clean: clean-recursive

clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am

distclean: distclean-recursive
		-rm -f ./$(DEPDIR)/dnsjit.Po
	-rm -f ./$(DEPDIR)/globals.Po
	-rm -f core/$(DEPDIR)/channel.Po
	-rm -f core/$(DEPDIR)/compat.Po
	-rm -f core/$(DEPDIR)/file.Po
	-rm -f core/$(DEPDIR)/log.Po
	-rm -f core/$(DEPDIR)/object.Po
	-rm -f core/$(DEPDIR)/producer.Po
	-rm -f core/$(DEPDIR)/receiver.Po
	-rm -f core/$(DEPDIR)/thread.Po
	-rm -f core/object/$(DEPDIR)/dns.Po
	-rm -f core/object/$(DEPDIR)/ether.Po
	-rm -f core/object/$(DEPDIR)/gre.Po
	-rm -f core/object/$(DEPDIR)/icmp.Po
	-rm -f core/object/$(DEPDIR)/icmp6.Po
	-rm -f core/object/$(DEPDIR)/ieee802.Po
	-rm -f core/object/$(DEPDIR)/ip.Po
	-rm -f core/object/$(DEPDIR)/ip6.Po
	-rm -f core/object/$(DEPDIR)/linuxsll.Po
	-rm -f core/object/$(DEPDIR)/linuxsll2.Po
	-rm -f core/object/$(DEPDIR)/loop.Po
	-rm -f core/object/$(DEPDIR)/null.Po
	-rm -f core/object/$(DEPDIR)/payload.Po
	-rm -f core/object/$(DEPDIR)/pcap.Po
	-rm -f core/object/$(DEPDIR)/tcp.Po
	-rm -f core/object/$(DEPDIR)/udp.Po
	-rm -f filter/$(DEPDIR)/copy.Po
	-rm -f filter/$(DEPDIR)/ipsplit.Po
	-rm -f filter/$(DEPDIR)/layer.Po
	-rm -f filter/$(DEPDIR)/split.Po
	-rm -f filter/$(DEPDIR)/timing.Po
	-rm -f input/$(DEPDIR)/fpcap.Po
	-rm -f input/$(DEPDIR)/mmpcap.Po
	-rm -f input/$(DEPDIR)/pcap.Po
	-rm -f input/$(DEPDIR)/zmmpcap.Po
	-rm -f input/$(DEPDIR)/zpcap.Po
	-rm -f lib/$(DEPDIR)/base64url.Po
	-rm -f lib/$(DEPDIR)/clock.Po
	-rm -f lib/$(DEPDIR)/trie.Po
	-rm -f output/$(DEPDIR)/dnscli.Po
	-rm -f output/$(DEPDIR)/pcap.Po
	-rm -f output/$(DEPDIR)/respdiff.Po
	-rm -f output/$(DEPDIR)/tcpcli.Po
	-rm -f output/$(DEPDIR)/tlscli.Po
	-rm -f output/$(DEPDIR)/udpcli.Po
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-hdr distclean-tags

dvi: dvi-recursive

dvi-am:

gcov: gcov-recursive

gcov-am: gcov-local

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am: install-man install-nobase_dnsjitincludeHEADERS

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am: install-binPROGRAMS

install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man: install-man1 install-man3

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
		-rm -f ./$(DEPDIR)/dnsjit.Po
	-rm -f ./$(DEPDIR)/globals.Po
	-rm -f core/$(DEPDIR)/channel.Po
	-rm -f core/$(DEPDIR)/compat.Po
	-rm -f core/$(DEPDIR)/file.Po
	-rm -f core/$(DEPDIR)/log.Po
	-rm -f core/$(DEPDIR)/object.Po
	-rm -f core/$(DEPDIR)/producer.Po
	-rm -f core/$(DEPDIR)/receiver.Po
	-rm -f core/$(DEPDIR)/thread.Po
	-rm -f core/object/$(DEPDIR)/dns.Po
	-rm -f core/object/$(DEPDIR)/ether.Po
	-rm -f core/object/$(DEPDIR)/gre.Po
	-rm -f core/object/$(DEPDIR)/icmp.Po
	-rm -f core/object/$(DEPDIR)/icmp6.Po
	-rm -f core/object/$(DEPDIR)/ieee802.Po
	-rm -f core/object/$(DEPDIR)/ip.Po
	-rm -f core/object/$(DEPDIR)/ip6.Po
	-rm -f core/object/$(DEPDIR)/linuxsll.Po
	-rm -f core/object/$(DEPDIR)/linuxsll2.Po
	-rm -f core/object/$(DEPDIR)/loop.Po
	-rm -f core/object/$(DEPDIR)/null.Po
	-rm -f core/object/$(DEPDIR)/payload.Po
	-rm -f core/object/$(DEPDIR)/pcap.Po
	-rm -f core/object/$(DEPDIR)/tcp.Po
	-rm -f core/object/$(DEPDIR)/udp.Po
	-rm -f filter/$(DEPDIR)/copy.Po
	-rm -f filter/$(DEPDIR)/ipsplit.Po
	-rm -f filter/$(DEPDIR)/layer.Po
	-rm -f filter/$(DEPDIR)/split.Po
	-rm -f filter/$(DEPDIR)/timing.Po
	-rm -f input/$(DEPDIR)/fpcap.Po
	-rm -f input/$(DEPDIR)/mmpcap.Po
	-rm -f input/$(DEPDIR)/pcap.Po
	-rm -f input/$(DEPDIR)/zmmpcap.Po
	-rm -f input/$(DEPDIR)/zpcap.Po
	-rm -f lib/$(DEPDIR)/base64url.Po
	-rm -f lib/$(DEPDIR)/clock.Po
	-rm -f lib/$(DEPDIR)/trie.Po
	-rm -f output/$(DEPDIR)/dnscli.Po
	-rm -f output/$(DEPDIR)/pcap.Po
	-rm -f output/$(DEPDIR)/respdiff.Po
	-rm -f output/$(DEPDIR)/tcpcli.Po
	-rm -f output/$(DEPDIR)/tlscli.Po
	-rm -f output/$(DEPDIR)/udpcli.Po
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-man \
	uninstall-nobase_dnsjitincludeHEADERS

uninstall-man: uninstall-man1 uninstall-man3

.MAKE: $(am__recursive_targets) all check install install-am \
	install-exec install-strip

.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
	am--depfiles check check-am clean clean-binPROGRAMS \
	clean-generic clean-libtool cscopelist-am ctags ctags-am \
	distclean distclean-compile distclean-generic distclean-hdr \
	distclean-libtool distclean-tags distdir dvi dvi-am gcov-am \
	gcov-local html html-am info info-am install install-am \
	install-binPROGRAMS install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-man1 install-man3 install-nobase_dnsjitincludeHEADERS \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
	uninstall-am uninstall-binPROGRAMS uninstall-man \
	uninstall-man1 uninstall-man3 \
	uninstall-nobase_dnsjitincludeHEADERS

.PRECIOUS: Makefile


.lua.luao:
	@mkdir -p `dirname "$@"`
	$(LUAJIT) -bg -n "dnsjit.`echo \"$@\" | sed 's%\..*%%' | sed 's%/%.%g'`" -t o "$<" "$@"

.luah.luaho:
	@mkdir -p `dirname "$@"`
	$(LUAJIT) -bg -n "dnsjit.`echo \"$@\" | sed 's%\..*%%' | sed 's%/%.%g'`_h" -t o "$<" "$@"

.hh.luah:
	@mkdir -p `dirname "$@"`
	@echo 'module(...,package.seeall);' > "$@"
	@cat "$<" | grep '^// *lua:' | sed 's%^// *lua:%%' >> "$@"
	@echo 'require("ffi").cdef[[' >> "$@"
	@cat "$<" | grep -v '^#' >> "$@"
	@echo ']]' >> "$@"

.1in.1:
	sed -e 's,[@]PACKAGE_VERSION[@],$(PACKAGE_VERSION),g' \
  -e 's,[@]PACKAGE_URL[@],$(PACKAGE_URL),g' \
  -e 's,[@]PACKAGE_BUGREPORT[@],$(PACKAGE_BUGREPORT),g' \
  < "$<" > "$@"

.3in.3:
	sed -e 's,[@]PACKAGE_VERSION[@],$(PACKAGE_VERSION),g' \
  -e 's,[@]PACKAGE_URL[@],$(PACKAGE_URL),g' \
  -e 's,[@]PACKAGE_BUGREPORT[@],$(PACKAGE_BUGREPORT),g' \
  < "$<" > "$@"

@ENABLE_GCOV_TRUE@gcov-local:
@ENABLE_GCOV_TRUE@	for src in $(dnsjit_SOURCES); do \
@ENABLE_GCOV_TRUE@	  gcov -x -l -r -s "$(srcdir)" "$$src"; \
@ENABLE_GCOV_TRUE@	done

core/compat.hh: gen-compat.lua
	$(LUAJIT) "$(srcdir)/gen-compat.lua" > "$@"

core/log_errstr.c: gen-errno.sh
	"$(srcdir)/gen-errno.sh" > "$@"

dnsjit.core.3in: core.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core.lua" > "$@"

dnsjit.lib.3in: lib.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/lib.lua" > "$@"

dnsjit.input.3in: input.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/input.lua" > "$@"

dnsjit.filter.3in: filter.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/filter.lua" > "$@"

dnsjit.output.3in: output.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/output.lua" > "$@"

dnsjit.core.channel.3in: core/channel.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/channel.lua" > "$@"

dnsjit.core.compat.3in: core/compat.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/compat.lua" > "$@"

dnsjit.core.file.3in: core/file.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/file.lua" > "$@"

dnsjit.core.loader.3in: core/loader.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/loader.lua" > "$@"

dnsjit.core.log.3in: core/log.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/log.lua" > "$@"

dnsjit.core.object.dns.label.3in: core/object/dns/label.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/dns/label.lua" > "$@"

dnsjit.core.object.dns.3in: core/object/dns.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/dns.lua" > "$@"

dnsjit.core.object.dns.q.3in: core/object/dns/q.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/dns/q.lua" > "$@"

dnsjit.core.object.dns.rr.3in: core/object/dns/rr.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/dns/rr.lua" > "$@"

dnsjit.core.object.ether.3in: core/object/ether.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/ether.lua" > "$@"

dnsjit.core.object.gre.3in: core/object/gre.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/gre.lua" > "$@"

dnsjit.core.object.icmp6.3in: core/object/icmp6.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/icmp6.lua" > "$@"

dnsjit.core.object.icmp.3in: core/object/icmp.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/icmp.lua" > "$@"

dnsjit.core.object.ieee802.3in: core/object/ieee802.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/ieee802.lua" > "$@"

dnsjit.core.object.ip6.3in: core/object/ip6.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/ip6.lua" > "$@"

dnsjit.core.object.ip.3in: core/object/ip.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/ip.lua" > "$@"

dnsjit.core.object.linuxsll2.3in: core/object/linuxsll2.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/linuxsll2.lua" > "$@"

dnsjit.core.object.linuxsll.3in: core/object/linuxsll.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/linuxsll.lua" > "$@"

dnsjit.core.object.loop.3in: core/object/loop.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/loop.lua" > "$@"

dnsjit.core.object.3in: core/object.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object.lua" > "$@"

dnsjit.core.object.null.3in: core/object/null.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/null.lua" > "$@"

dnsjit.core.object.payload.3in: core/object/payload.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/payload.lua" > "$@"

dnsjit.core.object.pcap.3in: core/object/pcap.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/pcap.lua" > "$@"

dnsjit.core.objects.3in: core/objects.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/objects.lua" > "$@"

dnsjit.core.object.tcp.3in: core/object/tcp.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/tcp.lua" > "$@"

dnsjit.core.object.udp.3in: core/object/udp.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/object/udp.lua" > "$@"

dnsjit.core.producer.3in: core/producer.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/producer.lua" > "$@"

dnsjit.core.receiver.3in: core/receiver.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/receiver.lua" > "$@"

dnsjit.core.thread.3in: core/thread.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/thread.lua" > "$@"

dnsjit.core.timespec.3in: core/timespec.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/core/timespec.lua" > "$@"

dnsjit.filter.copy.3in: filter/copy.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/filter/copy.lua" > "$@"

dnsjit.filter.ipsplit.3in: filter/ipsplit.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/filter/ipsplit.lua" > "$@"

dnsjit.filter.layer.3in: filter/layer.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/filter/layer.lua" > "$@"

dnsjit.filter.split.3in: filter/split.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/filter/split.lua" > "$@"

dnsjit.filter.timing.3in: filter/timing.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/filter/timing.lua" > "$@"

dnsjit.input.fpcap.3in: input/fpcap.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/input/fpcap.lua" > "$@"

dnsjit.input.mmpcap.3in: input/mmpcap.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/input/mmpcap.lua" > "$@"

dnsjit.input.pcap.3in: input/pcap.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/input/pcap.lua" > "$@"

dnsjit.input.zero.3in: input/zero.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/input/zero.lua" > "$@"

dnsjit.input.zmmpcap.3in: input/zmmpcap.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/input/zmmpcap.lua" > "$@"

dnsjit.input.zpcap.3in: input/zpcap.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/input/zpcap.lua" > "$@"

dnsjit.lib.base64url.3in: lib/base64url.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/lib/base64url.lua" > "$@"

dnsjit.lib.clock.3in: lib/clock.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/lib/clock.lua" > "$@"

dnsjit.lib.getopt.3in: lib/getopt.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/lib/getopt.lua" > "$@"

dnsjit.lib.ip.3in: lib/ip.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/lib/ip.lua" > "$@"

dnsjit.lib.parseconf.3in: lib/parseconf.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/lib/parseconf.lua" > "$@"

dnsjit.lib.trie.iter.3in: lib/trie/iter.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/lib/trie/iter.lua" > "$@"

dnsjit.lib.trie.3in: lib/trie.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/lib/trie.lua" > "$@"

dnsjit.lib.trie.node.3in: lib/trie/node.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/lib/trie/node.lua" > "$@"

dnsjit.output.dnscli.3in: output/dnscli.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/output/dnscli.lua" > "$@"

dnsjit.output.null.3in: output/null.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/output/null.lua" > "$@"

dnsjit.output.pcap.3in: output/pcap.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/output/pcap.lua" > "$@"

dnsjit.output.respdiff.3in: output/respdiff.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/output/respdiff.lua" > "$@"

dnsjit.output.tcpcli.3in: output/tcpcli.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/output/tcpcli.lua" > "$@"

dnsjit.output.tlscli.3in: output/tlscli.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/output/tlscli.lua" > "$@"

dnsjit.output.udpcli.3in: output/udpcli.lua gen-manpage.lua
	$(LUAJIT) "$(srcdir)/gen-manpage.lua" "$(srcdir)/output/udpcli.lua" > "$@"

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
